Skip to main content

Getting Started with the API

This guide walks you through setting up and using the OpenTiendas API to integrate your store with external systems and automate workflows.

info

API access is only available to users with the Store Manager role or higher, and exclusively on plans eShop and eBusiness.
If you do not have the required role, the API Keys management option will not be visible.

Accessing the API

  1. Log in to your OpenTiendas admin panel.
  2. Navigate to Settings > Advanced Options.
  3. Select API from the menu.
  4. If your plan does not support API access, you’ll need to upgrade to eShop or eBusiness.

Creating an API Key

Click Create API Key to generate a new key and configure its properties:

  • Active – Enable or disable the key at any time.
  • Label – A name to identify the API key.
tip

After creating the API key, you’ll use it as a Bearer Token in the Authorization header of your requests.
See the Sample code section for details on how to authenticate your API requests.

Making your first request

Here’s a simple "Hello World" example to get you started with the OpenTiendas API. This example get your basic store information.

curl -X GET https://{SHOP_ID}.opentiendas.app/api/v1/store \
-H "Authorization: Bearer {YOUR_API_KEY}"

Replace {SHOP_ID} with your unique store identifier and {YOUR_API_KEY} with the actual key you created.

info

You can find your unique store identifier ({SHOP_ID}) in the global API description section of your OpenTiendas Admin Panel.

For more examples, check the Sample Code section.